Menu

LEX File Exchange
EA Support Files
SC4 Wikipedia
Network Addon Mod
Dependencies
Chat

Author Topic: Problem installing CAM  (Read 848 times)

0 Members and 1 Guest are viewing this topic.

Offline pietro_asp

Problem installing CAM
« on: October 03, 2018, 05:37:25 AM »
Hello!
So I was searching for same problems - no luck so far. When I try to install CAM I instantly get this:

Any idea how to fix it? I am using windows 10x64, if that's any help.

Offline mgb204

Re: Problem installing CAM
« Reply #1 on: October 03, 2018, 10:31:59 AM »
Usually a C++ runtime error is caused when either:

  • The application is no longer compatible with your version of Windows
    Try running the installer in compatibility mode (right click and select "Troubleshoot Compatibility").
  • You don't have the runtime libraries installed
    Search for the C++ runtime and install them. The problem being, there are many different versions, I don't know explicitly which you'd need.

Offline pietro_asp

Re: Problem installing CAM
« Reply #2 on: October 03, 2018, 11:58:57 AM »
Tried reinstalling C++ already and compatibility mode was literally my first I've done :(
Guess RIP me

Offline twalsh102

  • Forums Councilmember
  • *
  • Posts: 99
  • Total likes: 83
  • Reputation: 2
  • Your slogan here
Re: Problem installing CAM
« Reply #3 on: October 03, 2018, 04:18:31 PM »
Which versions of Visual C++ do you have installed? 

Having just moved to a Windows 10 computer and reinstalling many programs and mods, I ran across one instance where I needed to install an earlier version of Visual C++ runtime (2005).  I don't remember if it was CAM or something else.  The problem is compounded because the 2005 runtime won't install if a specific later version is installed.  One must uninstall the stated later version before installing the earlier version, and then reinstalling the later version.

If you don't have Microsoft Visual C++ Redistributable installed, you might give it a try to see if it resolves your problem.  The process I went through was:  try and install 2005, read the error message telling you which later version is in conflict, uninstall the later versions (I want to say 2015 (x86)), install 2005, reinstall that later version.


Offline mgb204

Re: Problem installing CAM
« Reply #4 on: October 03, 2018, 04:31:40 PM »
Indeed I didn't say re-install C++ or even install it, but specifically install the correct one the application needs. To give you an idea of the complexity of that, here's a list of the variants of the C++ runtime I have installed on my machine:



The only person who'd know which one the installer needs, is the person who made the installer. So, it's going to take some sleuthing to get to the bottom of.

Offline pietro_asp

Re: Problem installing CAM
« Reply #5 on: October 03, 2018, 06:15:44 PM »
Yeah think I will just pass on this. I have:

So trying to find "correct one" would take lifetime, assuming that would even solve problem.